#pragma once

#include "NetworkMessage.h"

#include <queue>

using std::queue;

namespace Feather::Network
{
    class ClientHandle
    {
    private:
        friend class TCPListener;

        queue<NetworkMessage*> m_queue;
    
    public:
        void SendPacket(NetworkMessage* msg)
        {
            m_queue.push(msg);
        }
    };
}