#pragma once
#include <thread>

struct event_base;

namespace Feather::Network
{
    class NetworkManager
    {
    public:
        NetworkManager();
        ~NetworkManager();

        static NetworkManager& Instance();

        void EventLoop();

        inline event_base* GetEventBase() const { return m_eventBase; }

    private:
        event_base* m_eventBase;

        std::thread m_eventThread;
    };

}