#pragma once

#include "network/TCPListener.h"
#include "network/ServerStatus.h"


namespace Feather
{
    class ServerProperties;

    class DedicatedServer
    {
    public:
        DedicatedServer(ServerProperties* properties);
        ~DedicatedServer();
    private:
        ServerProperties* m_properties;
        Network::TCPListener m_listener;
        Network::ServerStatus m_status;
    };
}
